RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::http_status_code_t Class Reference

A handy wrapper for HTTP response status code. More...

`#include <http_headers.hpp>`

## Public Member Functions
constexpr | http_status_code_t () noexcept
constexpr | http_status_code_t (std::uint16_t status_code) noexcept
constexpr auto | raw_code () const noexcept
constexpr bool | operator== (const http_status_code_t &sc) const noexcept
constexpr bool | operator!= (const http_status_code_t &sc) const noexcept
constexpr bool | operator< (const http_status_code_t &sc) const noexcept

## Private Attributes
std::uint16_t | m_status_code { 0 }
| Status code value. More...

## Detailed Description

A handy wrapper for HTTP response status code.

Definition at line 1992 of file http_headers.hpp.

## Constructor & Destructor Documentation

## ◆ http_status_code_t() [1/2]

constexpr restinio::http_status_code_t::http_status_code_t | ( |  | ) |
| inline constexpr noexcept

Definition at line 1995 of file http_headers.hpp.

## ◆ http_status_code_t() [2/2]

constexpr restinio::http_status_code_t::http_status_code_t | ( | std::uint16_t | status_code | ) |
| inline explicit constexpr noexcept

Definition at line 1998 of file http_headers.hpp.

## Member Function Documentation

## ◆ operator!=()

constexpr bool restinio::http_status_code_t::operator!= | ( | const http_status_code_t & | sc | ) | const
| inline constexpr noexcept

Definition at line 2015 of file http_headers.hpp.

## ◆ operator<()

constexpr bool restinio::http_status_code_t::operator< | ( | const http_status_code_t & | sc | ) | const
| inline constexpr noexcept

Definition at line 2020 of file http_headers.hpp.

## ◆ operator==()

constexpr bool restinio::http_status_code_t::operator== | ( | const http_status_code_t & | sc | ) | const
| inline constexpr noexcept

Definition at line 2009 of file http_headers.hpp.

## ◆ raw_code()

constexpr auto restinio::http_status_code_t::raw_code | ( |  | ) | const
| inline constexpr noexcept

Definition at line 2003 of file http_headers.hpp.

## Member Data Documentation

## ◆ m_status_code

std::uint16_t restinio::http_status_code_t::m_status_code { 0 }
| private

Status code value.

Definition at line 2028 of file http_headers.hpp.

The documentation for this class was generated from the following file:

- restinio/http_headers.hpp